API 参考执行
获取运行的 Agent
冻结的修订及实际生效的配置。按部分读取返回带版本标识的片段,不能直接作为配置写回。
GET
/api/v1/runs/{run_id}/agent冻结的修订及实际生效的配置。按部分读取返回带版本标识的片段,不能直接作为配置写回。
认证与授权Bearer <token>
工作空间 API 密钥(a13n_...)
传递位置: header
路径参数
run_id*Run Id
查询参数
view?string
查找资源时使用 compact;detailed 保留原有响应。
默认值
"detailed"可选值
- "detailed"
- "compact"
section?|null
part?Part
默认值
"all"可选值
- "all"
- "model"
- "model_settings"
- "model_characteristics"
- "summarize"
- "instructions"
- "toolsets"
- "skills"
- "skill_sync"
- "connection_tools"
- "tool_search"
- "builtin_skills"
- "client_tools"
- "user_questions"
- "subagent_mode"
- "subagents"
- "reviewer"
- "media_understanding"
- "plugins"
- "output_spec"
- "retries"
- "default_environment_template_id"
- "lazy_environment"
- "memory_mounts"
- "memory"
offset?Offset
以 Unicode 码点计量的偏移量;通过 next_offset 继续读取。
范围
0 <= value默认值
0limit?Limit
本片段最多包含的 Unicode 码点数。
范围
1 <= value <= 4000默认值
4000version?|
首次读取返回的内容版本;偏移量大于 0 时必填。
query?|
按原文搜索,区分大小写。
请求头参数
X-Workspace-ID?|
登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。
响应体
application/json
application/json
application/json
curl -X GET "https://example.com/api/v1/runs/string/agent"{ "config": { "background_compaction": { "blocking_threshold": 0.95, "enabled": false }, "builtin_skills": [], "client_tools": [], "connection_tools": [], "default_environment_template_id": "string", "execution": { "environment": { "property1": "string", "property2": "string" }, "steering": "boundary", "tools": { "foreground_wait_seconds": 0, "mode": "inline" } }, "instructions": "", "lazy_environment": true, "media_understanding": { "audio": "string", "image": "string", "video": "string" }, "memory": { "enabled": false, "spaces": [] }, "memory_mounts": [], "model": "string", "model_characteristics": { "compact_threshold": 0.9, "context_window_tokens": 1, "proactive_context_management_threshold": 0.65 }, "model_settings": { "property1": null, "property2": null }, "output_spec": { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null }, "variants": [ { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } }, { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } } ] }, "plugins": [], "retries": { "output": 0, "tools": 0 }, "reviewer": { "instruction": "string", "model": "string", "model_settings": { "property1": null, "property2": null }, "on_error": "deny", "on_flagged": "deny", "risk_threshold": "low", "rules": { "property1": { "on_flagged": "deny", "risk_threshold": "low" }, "property2": { "on_flagged": "deny", "risk_threshold": "low" } }, "shell_instruction": "string", "timeout_seconds": 120 }, "skill_sync": { "cleanup": false, "mode": "shared", "overwrite": true }, "skills": [], "subagent_mode": "inline", "subagents": {}, "summarize": false, "tool_search": { "config": { "call_name": "call_tool", "describe_name": "describe_tool", "groups_name": "list_tool_groups", "list_name": "list_tools", "max_results": 10, "max_search_bytes": 32768, "mode": "proxy", "search_name": "discover_tools" }, "groups": { "property1": { "capabilities": [], "connections": [], "description": "string", "platform": false, "plugins": [] }, "property2": { "capabilities": [], "connections": [], "description": "string", "platform": false, "plugins": [] } } }, "toolsets": { "property1": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} }, "property2": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} } }, "user_questions": false }, "revision": { "agent_id": "string", "builtin_instructions": "string", "config": { "background_compaction": { "blocking_threshold": 0.95, "enabled": false }, "builtin_skills": [], "client_tools": [], "connection_tools": [], "default_environment_template_id": "string", "execution": { "environment": { "property1": "string", "property2": "string" }, "steering": "boundary", "tools": { "foreground_wait_seconds": 0, "mode": "inline" } }, "instructions": "", "lazy_environment": true, "media_understanding": { "audio": "string", "image": "string", "video": "string" }, "memory": { "enabled": false, "spaces": [] }, "memory_mounts": [], "model": "string", "model_characteristics": { "compact_threshold": 0.9, "context_window_tokens": 1, "proactive_context_management_threshold": 0.65 }, "model_settings": { "property1": null, "property2": null }, "output_spec": { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null }, "variants": [ { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } }, { "description": "string", "name": "string", "resources": {}, "schema": { "property1": null, "property2": null } } ] }, "plugins": [], "retries": { "output": 0, "tools": 0 }, "reviewer": { "instruction": "string", "model": "string", "model_settings": { "property1": null, "property2": null }, "on_error": "deny", "on_flagged": "deny", "risk_threshold": "low", "rules": { "property1": { "on_flagged": "deny", "risk_threshold": "low" }, "property2": { "on_flagged": "deny", "risk_threshold": "low" } }, "shell_instruction": "string", "timeout_seconds": 120 }, "skill_sync": { "cleanup": false, "mode": "shared", "overwrite": true }, "skills": [], "subagent_mode": "inline", "subagents": {}, "summarize": false, "tool_search": { "config": { "call_name": "call_tool", "describe_name": "describe_tool", "groups_name": "list_tool_groups", "list_name": "list_tools", "max_results": 10, "max_search_bytes": 32768, "mode": "proxy", "search_name": "discover_tools" }, "groups": { "property1": { "capabilities": [], "connections": [], "description": "string", "platform": false, "plugins": [] }, "property2": { "capabilities": [], "connections": [], "description": "string", "platform": false, "plugins": [] } } }, "toolsets": { "property1": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} }, "property2": { "config": { "property1": null, "property2": null }, "enabled": true, "tools": {} } }, "user_questions": false }, "created_at": "2019-08-24T14:15:22Z", "created_by_id": "string", "digest": "string", "id": "string", "note": "string", "number": 0 }}